> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smsroutingratesupdates



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/routing/rates/updates
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/rates/updates:
    get:
      tags:
        - SmsRoutingRates
      operationId: sms.routing.rates.updates
      parameters:
        - name: route_id
          in: query
          schema:
            type: string
            format: uuid
        - name: route_rate_id
          in: query
          schema:
            type: string
            format: uuid
        - name: message_id
          in: query
          schema:
            type: string
            format: uuid
        - name: with
          in: query
          schema:
            type: array
            enum:
              - smsRoute
              - country
              - network
              - message
            items:
              type: string
        - name: per_page
          in: query
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `SmsRoutePriceUpdateResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SmsRoutePriceUpdateResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SmsRoutePriceUpdateResource:
      type: object
      properties:
        update_source:
          type: string
          enum:
            - Manual
            - Email
        message_id:
          type:
            - string
            - 'null'
        message:
          $ref: '#/components/schemas/SmsRoutePriceMessageResource'
        sms_route_id:
          type: string
        sms_route:
          $ref: '#/components/schemas/SmsRoutingRouteResource'
        country_id:
          type: integer
        country:
          $ref: '#/components/schemas/CountryResource'
        network_id:
          type: string
        network:
          $ref: '#/components/schemas/MobileNetworkResource'
        old_rate:
          type:
            - number
            - 'null'
        new_rate:
          type: number
        updated_by:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - update_source
        - message_id
        - sms_route_id
        - country_id
        - network_id
        - old_rate
        - new_rate
        - updated_by
        - created_at
      title: SmsRoutePriceUpdateResource
    SmsRoutePriceMessageResource:
      type: object
      properties:
        id:
          type: string
        sms_route_id:
          type: string
        route_name:
          type: string
        company:
          type: string
        stats:
          type: string
        errors:
          type: array
          items:
            type: string
        info:
          type: array
          items:
            type: string
        mail:
          $ref: '#/components/schemas/SmsRoutePriceMailResource'
        state:
          type: string
        files:
          type: array
          items:
            $ref: '#/components/schemas/SmsRoutePriceMessageFileResource'
        settings:
          type: object
          properties:
            columns:
              type: string
            extra_settings:
              type: string
          required:
            - columns
            - extra_settings
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - sms_route_id
        - route_name
        - company
        - stats
        - errors
        - info
        - mail
        - state
        - settings
        - created_at
      title: SmsRoutePriceMessageResource
    SmsRoutingRouteResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        company_id:
          type: string
        company:
          $ref: '#/components/schemas/CompanyResource'
        connection:
          type: string
        is_connected:
          type:
            - boolean
            - 'null'
        connection_id:
          type:
            - string
            - 'null'
        rates_total:
          type: integer
          description: >-
            'rates' =>
            SmsRoutingRateResource::collection($this->whenLoaded('smsRouteRates')),
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        links:
          type: object
          properties:
            delete:
              type: string
              description: >-
                "edit" => action([SmsRoutingRoutesController::class, 'edit'],
                $this),

                "update" => action([SmsRoutingRoutesController::class,
                'update'], $this),
          required:
            - delete
        client_balance:
          type: number
        vendor_balance:
          type: number
        queue_info:
          type:
            - array
            - 'null'
          items: {}
      required:
        - id
        - name
        - company_id
        - is_connected
        - connection_id
        - rates_total
        - created_at
        - links
        - queue_info
      title: SmsRoutingRouteResource
    CountryResource:
      type: object
      properties:
        id:
          type: integer
        iso:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        nicename:
          type:
            - string
            - 'null'
        iso3:
          type:
            - string
            - 'null'
        numcode:
          type: integer
        phonecode:
          type: integer
        has_states:
          type: boolean
        sender_id:
          type: boolean
      required:
        - id
        - iso
        - name
        - nicename
        - iso3
        - numcode
        - phonecode
        - has_states
        - sender_id
      title: CountryResource
    MobileNetworkResource:
      type: object
      properties:
        id:
          type: integer
        mcc:
          type: integer
        mnc:
          type: integer
        country_name:
          type:
            - string
            - 'null'
        country_code:
          type:
            - string
            - 'null'
        country_id:
          type: integer
        network_brand_id:
          type:
            - string
            - 'null'
        brand:
          type:
            - string
            - 'null'
        operator:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
      required:
        - id
        - mcc
        - mnc
        - country_name
        - country_code
        - country_id
        - network_brand_id
        - brand
        - operator
        - status
      title: MobileNetworkResource
    SmsRoutePriceMailResource:
      type: object
      properties:
        subject:
          type: string
        from:
          type: array
          items:
            $ref: '#/components/schemas/MailAddressResource'
        to:
          type: array
          items:
            $ref: '#/components/schemas/MailAddressResource'
        cc:
          type: array
          items:
            $ref: '#/components/schemas/MailAddressResource'
        bcc:
          type: array
          items:
            $ref: '#/components/schemas/MailAddressResource'
        date:
          type: string
        message_id:
          type: string
        attachments:
          type: array
          description: '''text_plain'' => $this->resource[''text_plain''],'
          items:
            $ref: '#/components/schemas/SmsRoutePriceAttachmentResource'
      required:
        - subject
        - from
        - to
        - cc
        - bcc
        - date
        - message_id
        - attachments
      title: SmsRoutePriceMailResource
    SmsRoutePriceMessageFileResource:
      type: object
      properties:
        id:
          type: string
        sms_route_id:
          type: string
        sms_route_price_message_id:
          type: string
        file_name:
          type: string
        stats:
          type: string
        info:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - sms_route_id
        - sms_route_price_message_id
        - file_name
        - stats
        - info
        - created_at
      title: SmsRoutePriceMessageFileResource
    CompanyResource:
      type: object
      properties:
        id:
          type: string
        team_id:
          type: string
        name:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        is_active:
          type: boolean
        overdraft_enabled:
          type: boolean
        overdraft_limit:
          type: integer
        client_balance:
          type: string
        vendor_balance:
          type: string
        provider_balance:
          type:
            - number
            - 'null'
        provider_balance_updated_at:
          type: string
        balance_checker:
          type: string
        endpoints_count:
          type: string
        sms_routes_count:
          type: string
        balance_checker_data:
          $ref: '#/components/schemas/BalanceCheckerData'
          description: balance_checker_data
        balance_email:
          type: string
        links:
          type: array
          items:
            type: string
          minItems: 0
          maxItems: 0
          additionalItems: false
      required:
        - id
        - team_id
        - name
        - created_at
        - updated_at
        - is_active
        - overdraft_enabled
        - overdraft_limit
        - provider_balance
        - provider_balance_updated_at
        - balance_checker
        - endpoints_count
        - sms_routes_count
        - balance_email
        - links
      title: CompanyResource
    MailAddressResource:
      type: object
      properties:
        full:
          type: string
        host:
          type: string
        mail:
          type: string
        mailbox:
          type: string
        personal:
          type: string
      required:
        - full
        - host
        - mail
        - mailbox
        - personal
      title: MailAddressResource
    SmsRoutePriceAttachmentResource:
      type: object
      properties:
        name:
          type: string
        content_type:
          type: string
        size:
          type: integer
      required:
        - name
        - content_type
        - size
      title: SmsRoutePriceAttachmentResource
    BalanceCheckerData:
      type: object
      properties:
        balance_checker:
          $ref: '#/components/schemas/BalanceCheckerTypeEnum'
        balance_regex:
          type:
            - string
            - 'null'
        api_auth_type:
          anyOf:
            - $ref: '#/components/schemas/AuthTypeEnum'
            - type: 'null'
        api_auth_data:
          type:
            - array
            - 'null'
          items:
            type: string
        balance_endpoint_url:
          type:
            - string
            - 'null'
          format: uri
        balance_endpoint_method:
          type:
            - string
            - 'null'
          enum:
            - GET
            - POST
        balance_json_path:
          type:
            - string
            - 'null'
        notification_if_no_data_x_days:
          type:
            - integer
            - 'null'
          minimum: 1
      required:
        - balance_checker
        - balance_regex
        - api_auth_type
        - api_auth_data
        - balance_endpoint_url
        - balance_endpoint_method
        - balance_json_path
        - notification_if_no_data_x_days
      title: BalanceCheckerData
    BalanceCheckerTypeEnum:
      type: string
      enum:
        - api
        - email
        - none
      title: BalanceCheckerTypeEnum
    AuthTypeEnum:
      type: string
      enum:
        - none
        - basic
        - bearer
        - custom
      title: AuthTypeEnum
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````